Audit
List API requests
List tenant API request metadata. Requires an admin.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Query Parameters
from?string
Filter or parameter: from.
Format
date-timeto?string
Filter or parameter: to.
Format
date-timeapi_key_id?string
Filter or parameter: api_key_id.
Format
uuidstatus?integer
Filter or parameter: status.
Range
100 <= value <= 599cursor?string
Opaque continuation cursor from the previous response.
Length
length <= 2048limit?integer
Filter or parameter: limit.
Range
1 <= value <= 100Default
50Header Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/audit/api-requests"{ "items": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "api_key_id": "123e4567-e89b-42d3-a456-426614174000", "user_id": "123e4567-e89b-42d3-a456-426614174000", "request_id": "req_01J8ZK2M7Q3N5X9V4B6C8D0E2F", "method": "GET", "path_template": "/spaces/{space_id}", "operation_key": "spaces.get", "status": 0, "duration_ms": 0, "ip": "203.0.113.10", "user_agent": "adlass-python/1.0.0", "created_at": "2026-09-04T12:00:00Z" } ], "next_cursor": null}